import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const manageProcessBuyReqService = createAsyncThunk(
  "MANAGE_PROCESS_BUY_REQ_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("kill_house_purchase_info/");
    dispatch(LOADING_END());
    return { data, status };
  }
);
